Description: Fix numpy dtype of timestamps to integer
Author: Aurélien COUDERC <coucouf@debian.org>
Last-Update: 2022-08-23

--- a/src/battery-stats-graph
+++ b/src/battery-stats-graph
@@ -87,7 +87,7 @@
     except csv.Error as e:
         logging.warning('CSV file is corrupt, skipping remaining entries: %s', e)
     logging.debug('building data array')
-    return np.array(data, dtype=list(zip(fields, 'f'*len(fields))))
+    return np.array(data, dtype=list(zip(fields, 'i'+'f'*(len(fields)-1))))
 
 # the builtin CSV parser above is faster, we went from 8 to 2 seconds
 # on our test data here there are probably other ways of making this
